<form>
    <div>
        <p><b>{{ localize 'OD6S.ROLLING'}} {{title}}: {{setDice dice actionpenalty woundpenalty otherpenalty}}D
            + {{pips}}</b></p>
        {{#if (isDefense subtype)}}
        {{else}}
            {{#if targets.length }}
                <div class="flexrow flex-group-left target" data-target="{{target}}">
                    <label for="target">{{localize 'OD6S.TARGET'}}</label>
                    <select name="target" id="target">
                        {{#select target}}
                            {{#each targets as |target|}}
                                <option value="{{target}}">{{target.name}}</option>
                            {{/each}}
                        {{/select}}
                    </select>
                </div>
            {{/if}}
        {{/if}}
        {{#if (eq actor.data.type 'character') }}
            <div class="flexrow flex-group-left usecharacterpoints">
                <div data-characterpoints="{{characterpoints}}">{{ localize 'OD6S.USE_CHARACTER_POINTS'}}</div>
                <div class="flexrow flex-group-center">
                    <div class="boxed" style="color:{{ cpcostcolor }};">{{characterpoints}}</div>
                    <div class="flex-group-center cpup">
                        <i class="fas fa-plus-square"></i>
                    </div>
                    <div class="flex-group-center cpdown">
                        <i class="fas fa-minus-square"></i>
                    </div>
                </div>
            </div>
        {{/if}}
        {{#if (eq actor.data.type 'character') }}
            {{#if (eq fatepointeffect false)}}
                {{#if actor.data.data.fatepoints}}
                    <div class="flexrow flex-group-left usefatepoint" data-fatepoint="{{fatepoint}}">
                        <label for="fatepoint">{{getUseFatePoint}}</label>
                        <input type="checkbox" data-dtype="Boolean" id="fatepoint" name="fatepoint" {{checked
                                fatepoint}}>
                    </div>
                {{/if}}
            {{/if}}
        {{/if}}
        {{#if showWildDie}}
            <div class="flexrow flex-group-left showWildDie" data-wilddie="{{wilddie}}">
                <label for="wilddie">{{localize 'OD6S.USE_WILD_DIE'}}</label>
                <input type="checkbox" data-dtype="Boolean" id="wilddie" name="wilddie" {{checked wilddie}}>
            </div>
        {{/if}}
        {{#if (isSkillOrAttribute type subtype)}}
            {{#unless (isHideAllRolls)}}
                <div class="flexrow flex-group-left">
                    <div class="flexrow flex-group-left difficultylevel" data-difficultylevel="{{difficultylevel}}">
                        <label for="difficultylevel">{{localize 'OD6S.DIFFICULTY'}}</label>
                        <select name="difficultylevel" id="difficultylevel">
                            {{#select difficultylevel}}
                                {{#each (getDifficulties) as |difficultylevel key|}}
                                    <option value="{{key}}">{{localize key}}</option>
                                {{/each}}
                            {{/select}}
                        </select>
                    </div>
                    {{#if (eq difficultylevel "OD6S.DIFFICULTY_CUSTOM")}}
                        <div class="flexrow flex-group-left difficulty" data-difficulty="{{difficulty}}">

                            <label for="difficulty">{{localize "OD6S.DIFFICULTY_CUSTOM_LABEL"}}</label>
                            <input type="number" onfocus="this.value=''" data-dtype="Number"
                                   max="99" id="difficulty" name="difficulty" value="{{difficulty}}" placeholder="10">
                        </div>
                    {{/if}}
                </div>
            {{/unless}}
        {{/if}}
        {{#if (ne attribute null)}}
            <div class="flexrow flex-group-left useattribute" data-attribute="{{attribute}}">
                <label for="useattribute">{{localize 'OD6S.ATTRIBUTE'}}</label>
                <select name="useattribute" id="useattribute" style="width: 70px;">
                    {{#select attribute}}
                        {{#each actor.data.data.attributes as |attribute key|}}
                            <option value="{{key}}">{{getAttributeName key}}</option>
                        {{/each}}
                    {{/select}}
                </select>
            </div>
        {{/if}}
        {{#if (isDefense subtype)}}
            <div class="flexrow flex-group-left fulldefense" data-fulldefense="{{fulldefense}}"
                 title="{{localize 'OD6S.FULL_DEFENSE_DESCRIPTION'}}">
                <label for="fulldefense">{{localize 'OD6S.FULL_DEFENSE'}}</label>
                <input type="checkbox" data-dtype="Boolean" id="fulldefense" name="fulldefense" {{checked fulldefense}}>
            </div>
        {{/if}}
        <div class="flexrow flex-group-left">
            <div class="bonusdice flexrow flex-group-left usebonus">
                <label for="bonusdice">{{localize 'OD6S.USE_BONUS_DICE'}}</label>
                <input type="number" onfocus="this.value=''" data-dtype="Number"
                       max="99" id="bonusdice" name="bonusdice" placeholder={{bonusdice}}>
            </div>
            <div class="bonuspips flexrow flex-group-left usebonus" data-bonuspips="{{bonuspips}}">
                <label for="bonuspips">{{localize 'OD6S.USE_BONUS_PIPS'}}</label>
                <input type="number" onfocus="this.value=''" data-dtype="Number"
                       max="99" id="bonuspips" name="bonuspips" placeholder="{{bonuspips}}">
            </div>
        </div>
        {{#if (ne type 'resistance') }}
            <div class="center"><b>{{localize "OD6S.PENALTIES"}}</b></div>
            <div class="row">
                <div class="column>">
                    <div class="flexrow flex-group-left" title="{{localize 'OD6S.ACTION_PENALTY'}}">
                        <div class="actionpenalty flexrow flex-group-left">
                            <label for="actionpenalty">{{localize 'OD6S.ACTIONS'}}:</label>
                        </div>
                        <div class="flexrow flex-group-center actionpenalty" data-actionpenalty="{{actionpenalty}}">
                            <input type="number" onfocus="this.value=''" data-dtype="Number"
                                   max="99" id="actionpenalty" name="actionpenalty"
                                   placeholder="{{actionpenalty}}"><b>D</b>
                        </div>
                    </div>
                </div>
                <div class="column">
                    <div class="flexrow flex-group-left" title="{{localize 'OD6S.WOUND_PENALTY'}}">
                        <div class="woundpenalty flexrow flex-group-left">
                            <label for="woundpenalty">{{localize 'OD6S.WOUNDS'}}:</label>
                        </div>
                        <div class="flexrow flex-group-center woundpenalty" data-woundpenalty="{{woundpenalty}}">
                            <input type="number" onfocus="this.value=''" data-dtype="Number"
                                   max="99" id="woundpenalty" name="woundpenalty"
                                   placeholder="{{woundpenalty}}"><b>D</b>
                        </div>
                    </div>
                </div>
                <div class="column>">
                    <div class="flexrow flex-group-left" title="{{localize 'OD6S.OTHER_PENALTY'}}">
                        <div class="otherpenalty flexrow flex-group-left">
                            <label for="otherpenalty">{{localize 'OD6S.OTHER'}}:</label>
                        </div>
                        <div class="flexrow flex-group-center otherpenalty" data-otherpenalty="{{otherpenalty}}">
                            <input type="number" onfocus="this.value=''" data-dtype="Number"
                                   max="99" id="otherpenalty" name="otherpenalty"
                                   placeholder="{{otherpenalty}}"><b>D</b>
                        </div>
                    </div>
                </div>
            </div>
        {{/if}}
        {{#if (isAttack subtype)}}
            {{#unless (isHideAllRolls)}}
                <div class="center"><b>{{localize "OD6S.MODIFIERS"}}</b></div>
                <div class="flexrow flex-group-left">
                    <div class="flexrow flex-group-left range" data-range="{{range}}">
                        <label for="range">{{localize 'OD6S.RANGE'}}</label>
                        <select name="range" id="range" style="width:50px">
                            {{#select modifiers.range}}
                                {{#each (getRanges) as |range key|}}
                                    <option value="{{key}}" title="{{localize range.name}}"
                                            {{#if (eq key range)}}selected{{/if}}>
                                        {{localize range.name}}
                                    </option>
                                {{/each}}
                            {{/select}}
                        </select>
                    </div>
                    {{#if (eq subtype 'rangedattack') }}
                        <div class="flexrow flex-group-left attackoption modifier" data-type="attackoption">
                            <label for="attackoption">{{localize 'OD6S.ATTACK_OPTIONS'}}</label>
                            <select name="attackoption" id="attackoption" style="width: 50px;">
                                {{#select modifiers.attackoption}}
                                    {{#each (getAttackOptions "rangedattack") as |option key|}}
                                        <option value="{{key}}" title="{{localize (concat key "_DESCRIPTION")}}"
                                                {{#if (eq key attackoption)}}selected{{/if}}>
                                            {{localize key}}
                                        </option>
                                    {{/each}}
                                {{/select}}
                            </select>
                        </div>
                        {{#if multishot }}
                            <div class="flexrow flex-group-center shots" data-shots="{{ shots }}">
                                <label for="shots">{{ localize "OD6S.SHOTS"}}</label>
                                <input type="number" onfocus="this.value=''" data-dtype="Number"
                                       max="99" id="shots" name="shots" value="{{shots}}" placeholder="1">
                            </div>
                        {{/if}}
                    {{/if}}
                    {{#if (eq subtype 'meleeattack') }}
                        <div class="flexrow flex-group-left attackoption modifier">
                            <label for="attackoption">{{localize 'OD6S.ATTACK_OPTIONS'}}</label>
                            <select name="attackoption" id="attackoption" style="width: 70px;">
                                {{#select modifiers.attackoption}}
                                    {{#each (getAttackOptions "meleeattack") as |option key|}}
                                        <option value="{{key}}" title="{{localize (concat key "_DESCRIPTION")}}"
                                                {{#if (eq key attackoption)}}selected{{/if}}>
                                            {{localize key}}
                                        </option>
                                    {{/each}}
                                {{/select}}
                            </select>
                        </div>
                    {{/if}}
                    {{#if (eq subtype 'brawlattack') }}
                        <div class="flexrow flex-group-left attackoption modifier" data-type="attackoption">
                            <label for="attackoption">{{localize 'OD6S.ATTACK_OPTIONS'}}</label>
                            <select name="attackoption" id="attackoption" style="width: 70px;">
                                {{#select modifiers.attackoption}}
                                    {{#each (getAttackOptions "brawlattack") as |option key|}}
                                        <option value="{{key}}" title="{{localize (concat key "_DESCRIPTION")}}"
                                                {{#if (eq key attackoption)}}selected{{/if}}>
                                            {{localize key}}
                                        </option>
                                    {{/each}}
                                {{/select}}
                            </select>
                        </div>
                    {{/if}}
                </div>
                <div class="row">
                    <div class="column">
                        <div class="flexrow flex-group-left calledshot modifier" data-type="calledshot">
                            <label for="calledshot">{{localize "OD6S.CALLED_SHOT"}}</label>
                            <select name="calledshot" id="calledshot" style="width: 70px;">
                                {{#select modifiers.calledshot}}
                                    {{#each (getCalledShot) as |calledshot key|}}
                                        <option value="{{key}}" title="{{localize (concat key "_DESCRIPTION")}}"
                                                {{#if (eq key calledshot)}}selected{{/if}}>
                                            {{localize key}}
                                        </option>
                                    {{/each}}
                                {{/select}}
                            </select>
                        </div>
                        <div class="flexrow flex-group-left cover modifier" data-type="cover">
                            <label for="cover">{{localize "OD6S.COVER"}}</label>
                            <select name="cover" id="cover" style="width: 70px;">
                                {{#select modifiers.cover}}
                                    {{#each (getCover "OD6S.COVER") as |cover key|}}
                                        <option value="{{key}}" title="{{localize (concat key "_DESCRIPTION")}}"
                                                {{#if (eq key cover)}}selected{{/if}}>
                                            {{localize key}}
                                        </option>
                                    {{/each}}
                                {{/select}}
                            </select>
                        </div>
                    </div>
                    <div class="column">
                        <div class="flexrow flex-group-left coverlight modifier" data-type="coverlight">
                            <label for="coverlight">{{localize "OD6S.COVER_LIGHT"}}</label>
                            <select name="coverlight" id="coverlight" style="width: 70px;">
                                {{#select modifiers.coverlight}}
                                    {{#each (getCover "OD6S.COVER_LIGHT") as |coverlight key|}}
                                        <option value="{{key}}" title="{{localize (concat key "_DESCRIPTION")}}"
                                                {{#if (eq key coverlight)}}selected{{/if}}>
                                            {{localize key}}
                                        </option>
                                    {{/each}}
                                {{/select}}
                            </select>
                        </div>
                        <div class="flexrow flex-group-left coversmoke modifier" data-type="coversmoke">
                            <label for="coversmoke">{{localize "OD6S.COVER_SMOKE"}}</label>
                            <select name="coversmoke" id="coversmoke" style="width: 70px;">
                                {{#select modifiers.coversmoke}}
                                    {{#each (getCover "OD6S.COVER_SMOKE") as |coversmoke key|}}
                                        <option value="{{key}}" title="{{localize (concat key "_DESCRIPTION")}}"
                                                {{#if (eq key coversmoke)}}selected{{/if}}>
                                            {{localize key}}
                                        </option>
                                    {{/each}}
                                {{/select}}
                            </select>
                        </div>
                        <div class="flexrow flex-group-left miscmod modifier"
                             title="{{localize "OD6S.MISC_TARGET_MODIFIER"}}" data-type="miscmod">
                            <label for="miscmod">{{localize "OD6S.MISC"}}</label>
                            <input type="number" onfocus="this.value=''" data-dtype="Number"
                                   max="99" id="miscmod" name="miscmod" value="{{modifiers.miscmod}}" placeholder="0">
                        </div>
                    </div>
                </div>
            {{/unless}}
        {{/if}}
        {{#if (isSkillOrAttribute type subtype) }}
            <div class="center"><b>{{localize "OD6S.MODIFIERS"}}</b></div>
            <div class="row">
                <div class="column">
                    <div class="flexrow flex-group-left miscmod modifier">
                        <label for="miscmod">{{localize "OD6S.MISC"}}</label>
                        <input type="number" onfocus="this.value=''" data-dtype="Number"
                               max="99" id="miscmod" name="miscmod" value="{{modifiers.miscmod}}" placeholder="0">
                    </div>
                </div>
                <div class="column">
                </div>
            </div>
        {{/if}}
    </div>
</form>
